=== debian/changelog ===
c2esp (26-4) unstable; urgency=low

  * Upload to unstable to build against newer cups.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jun 2013 17:24:46 +0200

c2esp (26-3) experimental; urgency=low

  [ Sebastien Bacher ]
  * Changed build dependencies from libcupsdriver1-dev to
    libcupsfilters-dev.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 May 2013 15:01:29 +0200

c2esp (26-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 May 2013 14:42:06 +0200

c2esp (26-1) experimental; urgency=low

  * New 26 upstream release.
    - Refresh patches.
    - Update the .drv files installation.

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Sep 2012 09:58:36 +0200
