## c2esp 27~rc1

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,13 @@
 # Makefile for c2esp25 has minor changes. (*.in files are deleted from the doc directory)
 # Makefile for c2esp25c runs ppdc at install stage if it is installed
 # Makefile for c2esp26 uses cups-config to fix problems building with cups 1.6
+# Makefile for c2esp27 ppds for ESP 1.2 and 3.2 added, use new drv files instead of ppd,
 
 LANG=C
 UNAME := $(shell uname)
-#MACH := $(shell uname -m | sed 's/i.86/x86_32/')
-#CUPSAPIVER := 1
-#SYSNAME := $(shell uname -n)
 
 # Installation prefix...
 #PREFIX=/usr/local
-#PREFIX=/usr
 PREFIX=$(DESTDIR)/usr
 
 PPDCFOUND=0
@@ -25,13 +22,13 @@
 # Pathnames for this package...
 BIN=$(PREFIX)/bin
 
-#was FILTERBIN=$(PREFIX)/lib/cups/filter
 #the PREFIX is supplied by cups-config --serverbin
 FILTERBIN := $(DESTDIR)$(shell cups-config --serverbin)/filter
 
 MANDIR=$(PREFIX)/share/man
 DOCDIR=$(PREFIX)/share/doc/c2esp
 PPDDIR=$(PREFIX)/share/ppd/c2esp
+DRVDIR=$(DESTDIR)$(shell cups-config --datadir)/drv/c2esp
 INSTALL=install
 
 # Programs and libraries
@@ -42,11 +39,16 @@
 DEVPROGS=	myopldecode
 SCRIPTS= c2esplog
 FILTERS=	c2esp c2espC command2esp
-LIBJBG	=	jbig.o jbig_ar.o
-LIBJBG85=	jbig85.o jbig_ar.o
+#LIBJBIG	=	jbig.o jbig_ar.o
+#LIBJBIG85=	jbig85.o jbig_ar.o
+# The jbig library. Debian and derivatives should now have the jbig library -ljbig
+# -ljbig also contains jbig85
+	LIBJBIG := -ljbig
+	LIBJBIG85 := -ljbig
+
 BINPROGS=
-ESPDRVFILE = KodakESP_15.drv
-CDRVFILE = KodakESP_C_05.drv
+ESPDRVFILE = KodakESP_16.drv
+CDRVFILE = KodakESP_C_07.drv
 
 # User ID's
 LPuid=-oroot
@@ -86,6 +88,7 @@
 #cups version, checking that cups-config exists
 ifeq ($(wildcard /usr/bin/cups-config),) 
 #cups-config not found
+
 	CUPSAPIVER := 99
 	LIBCUPSDRIVER := -lcups -lcupsdriver
 	LIBCUPSIMAGE := -lcups -lcupsimage
@@ -103,6 +106,7 @@
 	FILTERHEADERS := cups
 endif
 
+
 #
 # The usual build rules
 #
@@ -111,8 +115,24 @@
 
 common-test:
 	#
+	# cups-config...
+	#
+ifeq ($(CUPSAPIVER),99)
+	   @echo "      ***"; \
+	   echo "      *** Warning: /usr/bin/cups-config is not installed"; \
+	   echo "      ***"; \
+	   echo "      *** Try to install it in the package libcups2-dev"; \
+	   echo "      *** for Ubuntu: sudo apt-get install libcups2-dev"; \
+	   echo "      *** Then run make again."; \
+	   echo "      ***"; \
+	   echo "      *** If you cannot install cups-config, make will assume"; \
+	   echo "      *** that your cups version is 1.5 or lower."; \
+	   echo "      ***";
+endif
+	#
 	# Compile Dependencies general...
 	#
+
 	@if ! type $(CC) >/dev/null 2>&1; then \
 	    echo "      ***"; \
 	    echo "      *** Error: $(CC) is not installed!"; \
@@ -133,10 +153,14 @@
 
 cups-test:
 	# Compile Dependencies in cups...
-
+ifeq ($(CUPSAPIVER),99)
+	@echo "The cups api version is unknown, assuming <=1.5"
+else
 	@echo "cups api detected $(CUPSAPIVER)"
+endif
+
 ifeq ($(CUPSAPIVER),1.6)
-	@echo "The cups 1.6 tests"
+	@echo "The cups tests for version 1.6"
 	@echo look in /usr/include/cupsfilters for image and driver
 
 # make config.h
@@ -147,7 +171,7 @@
 	    echo "      *** Error: /usr/include/cups/raster.h is not installed!"; \
 	    echo "      ***"; \
 	    echo "      *** Install cups raster library package"; \
-	    echo "      *** for Ubuntu: something like sudo apt-get install libcupsimage2-dev ?"; \
+	    echo "      *** for Ubuntu: sudo apt-get install libcupsimage2-dev"; \
 	    echo "      ***"; \
 	    exit 1; \
 	fi
@@ -180,7 +204,7 @@
 	fi
 
 else
-	@echo "The cups version up to 1.5 tests"
+	@echo "The cups tests for version up to 1.5"
 	@echo should look in /usr/include/cups/ for image and driver
 
 # make config.h
@@ -233,8 +257,11 @@
 	@echo "Patent warning that used to be here no longer applies"
 	@echo 
 
-c2esp: c2esp.o c2espcommon.o $(LIBJBG85)
-	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) $(LIBJBG85)
+#c2esp: c2esp.o c2espcommon.o
+#	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) $(LIBJBG85)
+
+c2esp: c2esp.o c2espcommon.o
+	$(CC) $(CFLAGS) -o $@ c2esp.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) $(LIBJBIG85)
 
 c2espC: c2espC.o c2espcommon.o 
 	$(CC) $(CFLAGS) -o $@ c2espC.o c2espcommon.o $(LIBCUPSDRIVER) $(LIBCUPSIMAGE) -lz
@@ -242,15 +269,19 @@
 command2esp: command2esp.o c2espcommon.o
 	$(CC) $(CFLAGS) -o $@ command2esp.o  c2espcommon.o $(LIBCUPSDRIVER)
 
-myopldecode: myopldecode.o $(LIBJBG)
-	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz
+#myopldecode: myopldecode.o
+#	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBG) -lz
+
+myopldecode: myopldecode.o
+	$(CC) $(CFLAGS) -o $@ $@.o $(LIBJBIG) -lz
 
 #
 # Installation rules
 #
-#install: all install-test install-prog install-ppd install-doc
-install: all install-prog install-ppd install-doc
-
+#use next line if you need to install ppds
+#install: all install-prog install-ppd install-doc
+install: all install-prog install-drv install-doc
+ 
 	#
 	# Now use your printer configuration GUI to create a new printer if required.
 	# If you are upgrading, "make forceppd" may force cups to use the new ppd versions
@@ -293,8 +324,8 @@
 	fi
 
 MODEL=$(DESTDIR)$(shell cups-config --datadir)/model
-PPD=$(DESTDIR)/usr/share/ppd
-VARPPD=/var/lp/ppd
+#PPD=$(DESTDIR)/usr/share/ppd
+#VARPPD=/var/lp/ppd
 
 install-ppd:
 	#
@@ -326,6 +357,21 @@
 	        echo $$ppdfile; \
 	    $(INSTALL) -c -m 644 $$ppdfile $(PPDDIR); \
 	    done;
+
+install-drv:
+	# make files with ppdc if it is present
+	@if test -f /usr/bin/ppdc; then \
+	    echo "ppdc is available so testing drv files"; \
+		ppdc -t $(ESPDRVFILE); \
+		ppdc -t $(CDRVFILE); \
+	    echo "Making ppds to keep them compatible with drv files."; \
+		ppdc $(ESPDRVFILE); \
+		ppdc $(CDRVFILE); \
+	fi
+
+	$(INSTALL) -d -m 755 $(DRVDIR)
+	$(INSTALL) -c -m 644 $(ESPDRVFILE) $(DRVDIR)
+	$(INSTALL) -c -m 644 $(CDRVFILE) $(DRVDIR)
 
 forceppd:
 	# attempt to assign new ppds to existing queues
@@ -369,37 +415,10 @@
 #
 uninstall:
 	-rm -rf $(PPDDIR)
+	-rm -rf $(DRVDIR)
 	-rm -f $(BIN)/myopldecode
 	-rm -f $(BIN)/c2esp
 	-rm -f $(BIN)/c2esplog
 	-rm -f $(FILTERBIN)/c2esp
 	-rm -f $(FILTERBIN)/c2espC
 #	done
-#remove any compressed ppds. Is this a real thing? or is MODEL something I made by mistake in an early version?
-	cd ppd; for ppdfile in *.ppd; do \
-	    rm -f $(MODEL)/$$ppdfile.gz; \
-	done;
-
-#
-# Clean
-#
-clean:
-	-rm -f $(PROGS) $(BINPROGS) $(FILTERS) $(DEVPROGS)
-	-rm -f *.o
-	-rm -f *~
-# Do not remove ppds, so that users without ppdc can install them
-#	-rm -f ppd/*
-	-rm -f *.tar.gz
-	-rm -f config.h
-
-#
-# Header dependencies
-#
-jbig.o: jbig.h
-jbig85.o: jbig85.h
-c2esp.o: jbig85.h c2espcommon.h
-c2espC.o: c2espcommon.h
-myopldecode.o: jbig.h
-command2esp.o: c2espcommon.h
-c2espcommon.o: c2espcommon.h
-
