=== debian/changelog ===
c2esp (27~rc1-1) experimental; urgency=low

  * New 27~rc1 upstream release
    - "The jbig library is no longer shipped with c2esp", therefore
      update debian/copyright and drop the patch to use the
      Debian-provided libjbig
    - Update the .drv files installation
    - Update the models list in the package description
  * Add patch to enforce LDFLAGS usage
  * Add --as-needed to LDFLAGS

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Jan 2014 14:39:42 +0100

c2esp (26-5) unstable; urgency=low

  * Drop c2esp transitional package which reached stable
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 11:44:21 +0100
