=== debian/control ===
Source: c2esp
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), libcupsimage2-dev (>= 1.6), libcupsfilters-dev, libjbig-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/c2esp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c2esp.git
Homepage: http://cupsdriverkodak.sf.net/
Standards-Version: 3.9.5

Package: printer-driver-c2esp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-ppdc
Suggests: psutils
Breaks: cups (<< 1.5.0-2~), c2esp (<< 19-2~)
Replaces: c2esp (<< 19-2~)
Description: printer driver for Kodak ESP AiO color inkjet Series
 The c2esp driver is an open source driver for the Kodak ESP AiO and HERO
 AiO color inkjet printers series. It is likely to work on the 
 5100 AiO,
 5300 AiO,
 5500 AiO,
 ESP 1.2 AiO,
 ESP 2.2 AiO,
 ESP 3200 Series AiO,
 ESP 3.2 AiO,
 ESP 3 AiO,
 ESP 4.2 AiO,
 ESP 5200 Series AiO,
 ESP 5 AiO,
 ESP 7200 Series AiO,
 ESP 7 AiO,
 ESP 9200 Series AiO,
 ESP 9 AiO,
 ESP C100 Series AiO,
 ESP C110 Series AiO,
 ESP C310 Series AiO,
 ESP Office 4100 Series AiO,
 ESP Office 6100 Series AiO,
 HERO 3.1 AiO,
 HERO 5.1 AiO,
 HERO 6.1 AiO,
 HERO 7.1 AiO and
 HERO 9.1 AiO.
