=== debian/watch ===
version=3
http://sf.net/cupsdriverkodak/c2esp(.+)\.tar\.gz
