## c2esp 27

=== debian/changelog ===
c2esp (27-8) unstable; urgency=medium

  * Rework GCC-10 patch with simpler extern stanza

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:38:01 +0200

c2esp (27-7) unstable; urgency=medium

  * Packaging cleanup.
    - Refresh Homepage URL
    - Bump Standards-Version to 4.5 without changes needed
    - Drop pre-oldstaple Breaks/Replaces
  * Fix FTBFS with GCC-10 (Closes: #957061)
    - Add extern stanzas to variable definitions in header
    - Namespace overlapping global variable names

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:13:14 +0200

c2esp (27-6) unstable; urgency=low

  * Add gitlab-ci configuration for Salsa
  * lintian-brush fixes:
    - Use secure URI in debian/watch.
    - Bump debhelper from old 9 to 12.
    - Set upstream metadata fields: Archive, Bug-Submit.
  * Convert patch-queue to git debrebase

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Sep 2019 15:02:40 +0200

c2esp (27-5) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Trim trailing whitespace.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Jun 2019 09:43:39 +0200

c2esp (27-4) unstable; urgency=medium

  * Update debian/control syntax with cme
  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Instantiate gbp.conf and git-dpm

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Feb 2018 17:25:47 +0100

c2esp (27-3) unstable; urgency=medium

  * Update patch fixing missing includes to add <stdio.h> to fix FTBFS
    (Closes: #839344)

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Oct 2016 09:22:26 +0200

c2esp (27-2) unstable; urgency=medium

  * Add autopkgtest suite
  * Add patch to fix implicit declaration of strncasecmp

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Jul 2014 13:22:44 +0200

c2esp (27-1) unstable; urgency=medium

  * New 27 upstream release
    - The compile and install system has been changed to
      autoconf/automake
  * Updates for version 27:
    - Refresh debian/copyright
    - Update debian/watch to cope with the latest upstream naming scheme
    - Drop all debian patches, made obsolete by the new upstream
  * Move the repository from collab-maint to printing; update the VCS-*
    fields accordingly
  * Bump debhelper depends to 9; sync with compat

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 15:32:36 +0100
