=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 override_dh_install:
 	dh_install
-	install -D -m 644 KodakESP_16.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
-	install -D -m 644 KodakESP_C_07.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
+	install -D -m 644 src/KodakESP_16.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2esp.drv
+	install -D -m 644 src/KodakESP_C_07.drv $(CURDIR)/debian/printer-driver-c2esp/usr/share/cups/drv/c2espC.drv
 ifeq ($(derives_from_ubuntu),yes)
 	# Install the apport hook on Ubuntu and derivatives
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-c2esp/usr/share/apport/package-hooks/source_c2esp.py
