=== debian/watch ===
version=3
https://sf.net/cupsdriverkodak/c2esp-?(.+)\.tar\.gz
